import { world } from '@minecraft/server';

world.beforeEvents.chatSend.subscribe(async (eventData) => {
  const player = eventData.sender;
  switch (eventData.message) {
    case '!weather1 summon tornado0':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado0');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F0"}]}');
      break;
    case '!weather1 summon tornado1':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F1"}]}');
      break;
    case '!weather1 summon tornado2':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado2');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F2"}]}');
      break;
    case '!weather1 summon tornado3':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado3');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F3"}]}');
      break;
    case '!weather1 summon tornado4':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado4');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F4"}]}');
      break;
    case '!weather1 summon tornado5':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:tornado5');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Tornado F5"}]}');
      break;
    case '!weather1 killall storm':
      eventData.cancel = true;
      player.runCommandAsync('kill @e[type=nn:tornado]');
      player.runCommandAsync('kill @e[type=nn:tornado0]');
      player.runCommandAsync('kill @e[type=nn:tornado2]');
      player.runCommandAsync('kill @e[type=nn:tornado3]');
      player.runCommandAsync('kill @e[type=nn:tornado4]');
      player.runCommandAsync('kill @e[type=nn:tornado5]');
      player.runCommandAsync('kill @e[type=nn:storm]');
      player.runCommandAsync('kill @e[type=nn:cloudy]');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather Systems Has Killed All Storm"}]}');
      break;
    case '!weather1 help':
      eventData.cancel = true;
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§eweather system joined the game"}]}');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"<§lweather system> Halo player apakah kamu perlu bantuan. Ini dia list command yang bisa membantu anda tapi kamu harus menggunakan tanda seru atau ! \n§aNo.1§r§l!weather1 summon tornado §evalue: 0 | 1 | 2 | 3 | 4 | 5 §r\nNo.2§l§a!weather1 killall storm §r\nNo.3§a!weather1 elements §1waterspout§r \nNo.4§a!weather1 summon storm§r \nNo.5§a!weather1 summon mendung§r \nSudah itu saja list commandnya dan saatnya saya pergi sampai jumpa semuanya!"}]}');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§eweather system left the game"}]}');
      break;
    case '!weather1 summon storm':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:storm');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Storm"}]}');
      break;
    case '!weather1 summon elements waterspout':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:waterspout');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Waterspout"}]}');
      break;
    case '!weather1 summon mendung':
      eventData.cancel = true;
      player.runCommandAsync('summon nn:cloudy');
      player.runCommandAsync('tellraw @s {"rawtext":[{"text":"Weather System Has Spawned Mendung"}]}');
      break;
    default: break;
  }
});